CVHDP
Date: 2011-06-15

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pawjaw.topics
Class CVHDP

    java.lang.Object
      com.pawjaw.topics.CVHDP

    public class CVHDP

extends java.lang.Object

Field Summary
`java.util.List<java.lang.Double>` | `avglls`
`static double` | `DEFAULT_A_ALPHA`
`static double` | `DEFAULT_A_BETA`
`static double` | `DEFAULT_A_GAMMA`
`static double` | `DEFAULT_A_TAU`
`static double` | `DEFAULT_B_ALPHA`
`static double` | `DEFAULT_B_BETA`
`static double` | `DEFAULT_B_GAMMA`
`static double` | `DEFAULT_E_BETA`
`static double` | `DEFAULT_G_BETA`
`static boolean` | `DEFAULT_GROUP_TOKENS_BY_WORD`
`static int` | `DEFAULT_VARIATIONAL_ITERATIONS`
`java.lang.Integer[]` | `dk_k`
`double` | `E_alpha`
`double` | `E_beta`
`double` | `E_gamma`
`double[]` | `E_n_k`
`java.util.List<double[]>` | `E_n_ks`
`double[]` | `E_pi_k`
`double[]` | `E_tau_w`
`double` | `G_alpha`
`double` | `G_beta`
`double[]` | `G_pi_k`
`double[]` | `G_tau_w`
`double[][]` | `phi_kw`
`long` | `real_bookkeeping_millis`
`long` | `real_hyperparameter_update_millis`
`long` | `real_variational_posterior_update_millis`
`double[][]` | `theta_dk`
`java.lang.String` | `timing`

Constructor Summary
`CVHDP(Matrix word_count_documents_in_columns, int topics, ProgressCallback notifier)`
`CVHDP(Matrix word_count_documents_in_columns_training, Matrix word_count_documents_in_columns_heldout, int topics, int threads, int variational_iterations, boolean group_tokens_by_word, int heldout_log_likelihood_estimates, double E_beta, double G_beta, double a_alpha, double b_alpha, double a_beta, double b_beta, double a_gamma, double b_gamma, double a_tau, ProgressCallback notifier)`
`CVHDP(Matrix word_count_documents_in_columns_training, Matrix word_count_documents_in_columns_heldout, int topics, int threads, int variational_iterations, boolean group_tokens_by_word, int heldout_log_likelihood_estimates, ProgressCallback notifier)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### E_alpha

    public double E_alpha

### G_alpha

    public double G_alpha

### E_beta

    public double E_beta

### G_beta

    public double G_beta

### E_gamma

    public double E_gamma

### E_pi_k

    public double[] E_pi_k

### G_pi_k

    public double[] G_pi_k

### E_tau_w

    public double[] E_tau_w

### G_tau_w

    public double[] G_tau_w

### real_variational_posterior_update_millis

    public long real_variational_posterior_update_millis

### real_bookkeeping_millis

    public long real_bookkeeping_millis

### real_hyperparameter_update_millis

    public long real_hyperparameter_update_millis

### timing

    public java.lang.String timing

### avglls

    public java.util.List<java.lang.Double> avglls

### E_n_ks

    public java.util.List<double[]> E_n_ks

### E_n_k

    public double[] E_n_k

### dk_k

    public java.lang.Integer[] dk_k

### theta_dk

    public double[][] theta_dk

### phi_kw

    public double[][] phi_kw

### DEFAULT_E_BETA

    public static final double DEFAULT_E_BETA

See Also:
  Constant Field Values

### DEFAULT_G_BETA

    public static final double DEFAULT_G_BETA

See Also:
  Constant Field Values

### DEFAULT_A_ALPHA

    public static final double DEFAULT_A_ALPHA

See Also:
  Constant Field Values

### DEFAULT_B_ALPHA

    public static final double DEFAULT_B_ALPHA

See Also:
  Constant Field Values

### DEFAULT_A_BETA

    public static final double DEFAULT_A_BETA

See Also:
  Constant Field Values

### DEFAULT_B_BETA

    public static final double DEFAULT_B_BETA

See Also:
  Constant Field Values

### DEFAULT_A_GAMMA

    public static final double DEFAULT_A_GAMMA

See Also:
  Constant Field Values

### DEFAULT_B_GAMMA

    public static final double DEFAULT_B_GAMMA

See Also:
  Constant Field Values

### DEFAULT_A_TAU

    public static final double DEFAULT_A_TAU

See Also:
  Constant Field Values

### DEFAULT_GROUP_TOKENS_BY_WORD

    public static final boolean DEFAULT_GROUP_TOKENS_BY_WORD

See Also:
  Constant Field Values

### DEFAULT_VARIATIONAL_ITERATIONS

    public static final int DEFAULT_VARIATIONAL_ITERATIONS

See Also:
  Constant Field Values

Constructor Detail

### CVHDP

    public CVHDP(Matrix word_count_documents_in_columns,
                 int topics,
                 ProgressCallback notifier)
          throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

### CVHDP

    public CVHDP(Matrix word_count_documents_in_columns_training,
                 Matrix word_count_documents_in_columns_heldout,
                 int topics,
                 int threads,
                 int variational_iterations,
                 boolean group_tokens_by_word,
                 int heldout_log_likelihood_estimates,
                 ProgressCallback notifier)
          throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

### CVHDP

    public CVHDP(Matrix word_count_documents_in_columns_training,
                 Matrix word_count_documents_in_columns_heldout,
                 int topics,
                 int threads,
                 int variational_iterations,
                 boolean group_tokens_by_word,
                 int heldout_log_likelihood_estimates,
                 double E_beta,
                 double G_beta,
                 double a_alpha,
                 double b_alpha,
                 double a_beta,
                 double b_beta,
                 double a_gamma,
                 double b_gamma,
                 double a_tau,
                 ProgressCallback notifier)
          throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD